@charset "UTF-8";

/*
--- 01 TYPOGRAPHY SYSTEM

- Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400
Medium: 500
Semi-bold: 600
Bold: 700

- Line heights
Default: 1
Small: 1.05
Medium: 1.2
Paragraph default: 1.6

- Letter spacing
-0.5px
0.75px

--- 02 COLORS
- Primary: #1A5AD9
- Tints (淺色調):
#D5D4FF


- Shades (深色調): 
#08a679

- Accents (強調色): #0ACF97
- Greys (灰色調)

#888
#767676 (lightest grey allowed on #fff)
#6f6f6f (lightest grey allowed on #fdf2e9)
#555
#333

--- 05 SHADOWS

0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);

--- 06 BORDER-RADIUS

Default: 3.2px
Medium: 15px

--- 07 WHITESPACE

- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/
:root {
  --islogin-height: 2rem + 1.6rem;
}

.section-content {
  position: relative;
  background: linear-gradient(to left bottom, #eeecf8, #d8e9f2);
  /* override .flex-row 的 */
  display: flex;
  justify-content: space-around;
}

@media (max-width: 768px) {
  .section-content::before {
    display: none;
  }
}

@media (max-width: 768px) {
  .section-content {
    flex-direction: column;
  }
}

.ap-infos {
  flex: 0 0 70%;
  text-align: start;
  position: relative;
}

.ap-infos::before {
  content: "";
  display: block;
  position: absolute;
  width: 1px;
  height: 100%;
  top: 0;
  left: -5rem;
  background-color: rgb(212.5, 212.5, 212.5);
}

.ap-infos__item:not(:last-child) {
  margin-bottom: 5rem;
}

/* .ap-infos details {
  pointer-events: none;
  position: relative;
  transition: margin .3s;
} */

.ap-infos details summary {
  list-style: none;
  font-weight: bold;
  user-select: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  border-bottom: 2px solid #d1d1d1;
  transition: color .3s, border-color .3s;
  font-size: 2.5rem;

}

.ap-infos details div {
  padding: 1rem 2rem;
  background: #fff;
  border-radius: 1rem;
  opacity: 0;
  transition: opacity 0.3s;
  /* position: absolute;
  width: calc(100% - 4rem); */

}


.ap-infos details summary p {
  width: 85%;
}

.ap-infos details summary svg {
  fill: #313a46;
  transition: rotate .3s, fill .3s;
}

/* .ap-infos details[open] {
  margin-bottom: 21rem;
} */

.ap-infos details[open] summary {
  color: #1a5ad9;
  border-color: #1a5ad9;
}

.ap-infos details[open] summary svg {
  fill: #1a5ad9;
  rotate: 180deg;
}

.ap-infos details[open] div {
  opacity: 1;
}

@media (max-width: 768px) {
  .ap-infos details div {
    font-size: 2rem;
  }

  /* .ap-infos details[open] {
    margin-bottom: 30rem;
  } */
}

.ap-animation__text {
  padding-right: 4rem;
  visibility: hidden;
  opacity: 0;
  max-height: 0;
  transition: all 0.2s;
}

.ap-animation__text p {
  font-size: 1.6rem;
}

.ap-animation__lists {
  list-style: none;
}

.list--unordered,
.list--order {
  counter-increment: list-counter;
  display: flex;
  align-items: center;
  position: relative;
  gap: 1rem;
}

.list--unordered::before,
.list--unordered::after {
  content: "";
  display: inline-block;
  width: 1.75rem;
  border-radius: 2px;
  position: absolute;
}

.list--unordered::before {
  position: relative;
  height: 0.6rem;
  z-index: 2;
  border: solid #fff;
  border-width: 0 0 3px 3px;
  transform: rotate(-45deg) translate(5%, -25%) scale(0.75);
}

.list--unordered::after {
  height: 1.75rem;
  background-color: #313a46;
}

.list--order::before {
  content: counter(list-counter);
  display: inline-block;
  color: #fff;
  z-index: 2;
  width: 1.75rem;
  height: 1.75rem;
  text-align: center;
  line-height: 2rem;
  background-color: #313a46;
  border-radius: 2px;
}

.ap-anchors {
  width: 100%;
  max-width: 24rem;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 3;
  padding-bottom: 1rem;
}

.ap-anchors h6 {
  font-size: 2rem;
  display: none;
  cursor: pointer;
  justify-content: space-between;
  align-items: center;
}

.ap-anchors__panel {
  display: flex;
  flex-direction: column;
  /* align-items: flex-end; */
  gap: 1rem;

}

.ap-anchors.open .ap-anchors__panel {
  display: flex;
}

@media (max-width: 768px) {
  .ap-anchors {
    width: 100%;
    max-width: none;
  }

  .ap-anchors h6 {
    display: flex;
    padding: 2rem 3.2rem;
    background-color: rgba(255, 255, 255, 0.85);
    backdrop-filter: blur(24px);
    border-radius: 15px;
  }

  .ap-anchors__panel {
    display: none;
  }

  .ap-anchors.open .ap-anchors__panel {
    display: flex;
    padding: 2rem 3.2rem;
    background-color: #f9fafc;
    border-radius: 0 0 15px 15px;
  }

  .ap-anchors.open h6 {
    color: #1a5ad9;
    border-radius: 15px 15px 0 0;
  }

  .ap-anchors .ap-anchors.fixed {
    background-color: #f9fafc;
  }
}

.ap-anchors.fixed {
  position: sticky;
  overflow-y: auto;
  top: calc(var(--headerHeight) + 2.5rem);
  max-height: 100vh;
  scrollbar-width: none;
  height: fit-content;
}

.goAnchor {
  font-family: "Noto Sans TC", sans-serif;
  display: block;
  margin-bottom: 2rem;
  font-size: 2rem;
  text-align: start;
  color: #888;
  font-weight: 600;
  transition: 0.3s color;
}

.goAnchor:active,
.goAnchor:hover {
  color: #1a5ad9;
}

.goAnchor.active {
  color: #1a5ad9;
}